Bug 1130479 - Unable to handle kernel paging request for data at address 0x015238d0
Summary: Unable to handle kernel paging request for data at address 0x015238d0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: binutils
Version: 7.1
Hardware: ppc64le
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Patsy Franklin
QA Contact: Arjun Shankar
URL:
Whiteboard:
Depends On: 1126436
Blocks: 1109875
TreeView+ depends on / blocked
 
Reported: 2014-08-15 10:46 UTC by Dan Horák
Modified: 2015-03-05 07:14 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1126436
Environment:
Last Closed: 2015-03-05 07:14:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0331 normal SHIPPED_LIVE binutils bug fix and enhancement update 2015-03-05 12:09:31 UTC

Description Dan Horák 2014-08-15 10:46:38 UTC
+++ This bug was initially created as a clone of Bug #1126436 +++

NOTE: This also happens on all versions up to the latest version 3.16.0-0.rc0.git11.1.fc21.

OF stdout device is: /vdevice/vty@71000000
Preparing to boot Linux version 3.16.0-0.rc0.git7.1.fc21.ppc64le (mockbuild@ppc-le-builder2.qa.fedoraproject.org) (gcc version 4.9.0 20140617 (Red Hat 4.9.0-10) (GCC) ) #1 SMP Fri Aug 1 09:54:16 UTC 2014
Detected machine type: 0000000000000101
Max number of cores passed to firmware: 1024 (NR_CPUS = 1024)
Calling ibm,client-architecture-support...
WARNING: ibm,client-architecture-support call FAILED!
 done
command line: BOOT_IMAGE=/vmlinuz-3.16.0-0.rc0.git7.1.fc21.ppc64le root=/dev/mapper/fedora_ppc64lehamzytest2-root ro rd.lvm.lv=fedora_ppc64lehamzytest2/swap rd.lvm.lv=fedora_ppc64lehamzytest2/root LANG=en_US.UTF-8
memory layout at init:
  memory_limit : 0000000000000000 (16 MB aligned)
  alloc_bottom : 0000000005500000
  alloc_top    : 0000000030000000
  alloc_top_hi : 0000000200000000
  rmo_top      : 0000000030000000
  ram_top      : 0000000200000000
instantiating rtas at 0x000000002fff0000... done
prom_hold_cpus: skipped
copying OF device tree...
Building dt strings...
Building dt structure...
Device tree strings 0x0000000005510000 -> 0x000000000551077a
Device tree struct  0x0000000005520000 -> 0x0000000005530000
Calling quiesce...
returning from prom_init
[    0.000000] Using pSeries machine description
[    0.000000] Page sizes from device-tree:
[    0.000000] base_shift=12: shift=12, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=0
[    0.000000] base_shift=16: shift=16, sllp=0x0110, avpnm=0x00000000, tlbiel=1, penc=1
[    0.000000] Using 1TB segments
[    0.000000] Found initrd at 0xc000000004800000:0xc0000000054f9298
[    0.000000] bootconsole [udbg0] enabled
[    0.000000] CPU maps initialized for 1 thread per core
 -> smp_release_cpus()
spinning_secondaries = 15
 <- smp_release_cpus()
[    0.000000] Starting Linux PPC64 #1 SMP Fri Aug 1 09:54:16 UTC 2014
[    0.000000] -----------------------------------------------------
[    0.000000] ppc64_pft_size                = 0x1a
[    0.000000] physicalMemorySize            = 0x200000000
[    0.000000] htab_hash_mask                = 0x7ffff
[    0.000000] -----------------------------------------------------
 <- setup_system()
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 3.16.0-0.rc0.git7.1.fc21.ppc64le (mockbuild@ppc-le-builder2.qa.fedoraproject.org) (gcc version 4.9.0 20140617 (Red Hat 4.9.0-10) (GCC) ) #1 SMP Fri Aug 1 09:54:16 UTC 2014
CF000012
Setup Arch[    0.000000] [boot]0012 Setup Arch
[    0.000000] PCI host bridge /pci@800000020000000  ranges:
[    0.000000]   IO 0x0000010080000000..0x000001008000ffff -> 0x0000000000000000
[    0.000000]  MEM 0x00000100a0000000..0x00000100bfffffff -> 0x0000000080000000 
[    0.000000] PPC64 nvram contains 65536 bytes
[    0.000000] Unable to enable relocation on exceptions: -55
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00000000-0x1ffffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x1ffffffff]
CF000015
Setup Done[    0.000000] [boot]0015 Setup Done
[    0.000000] PERCPU: Embedded 31 pages/cpu @c000000005600000 s1940992 r0 d90624 u2097152
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 130960
[    0.000000] Policy zone: DMA
[    0.000000] Kernel command line: BOOT_IMAGE=/vmlinuz-3.16.0-0.rc0.git7.1.fc21.ppc64le root=/dev/mapper/fedora_ppc64lehamzytest2-root ro rd.lvm.lv=fedora_ppc64lehamzytest2/swap rd.lvm.lv=fedora_ppc64lehamzytest2/root LANG=en_US.UTF-8
[    0.000000] PID hash table entries: 4096 (order: -1, 32768 bytes)
[    0.000000] Sorting __ex_table...
[    0.000000] Memory: 8227456K/8388608K available (10304K kernel code, 1472K rwdata, 3036K rodata, 7296K init, 17689K bss, 161152K reserved)
[    0.000000] SLUB: HWalign=128, Order=0-3, MinObjects=0, CPUs=16, Nodes=256
[    0.000000] Hierarchical RCU implementation.
[    0.000000]  RCU lockdep checking is enabled.
[    0.000000]  RCU restricting CPUs from NR_CPUS=1024 to nr_cpu_ids=16.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=16
[    0.000000] NR_IRQS:512 nr_irqs:512 16
[    0.000000] Unable to handle kernel paging request for data at address 0x015238d0
[    0.000000] Faulting instruction address: 0xc000000000d17230
[    0.000000] Oops: Kernel access of bad area, sig: 11 [#1]
[    0.000000] SMP NR_CPUS=1024 NUMA pSeries
[    0.000000] Modules linked in:
[    0.000000] CPU: 0 PID: 0 Comm: swapper/0 Not tainted 3.16.0-0.rc0.git7.1.fc21.ppc64le #1
[    0.000000] task: c0000000014ddcb0 ti: c000000001538000 task.ti: c000000001538000
[    0.000000] NIP: c000000000d17230 LR: c000000000d1404c CTR: 0000000000000000
[    0.000000] REGS: c00000000153bc80 TRAP: 0300   Not tainted  (3.16.0-0.rc0.git7.1.fc21.ppc64le)
[    0.000000] MSR: 8000000002001033 <SF,VEC,ME,IR,DR,RI,LE>  CR: 28002042  XER: 00000000
[    0.000000] CFAR: c00000000008c798 DAR: 00000000015238d0 DSISR: 40000000 SOFTE: 0 
GPR00: c000000000d14044 c00000000153bf00 000000000152b778 0000000000000000 
GPR04: 0000000000000000 0000000000000000 c00000000153be30 000000000000003f 
GPR08: 0000000000000001 0000000000000000 c0000001fd000000 0000000000000001 
GPR12: 0000000000002200 c00000000ff20000 0000000002c85768 000000000dd12ab0 
GPR16: 0000000002000000 0000000002c982a0 000000000dd12a70 0000000000000060 
GPR20: fffffffffffffffd 000000000dd12a70 000000002fff0000 0000000000000038 
GPR24: fffffffffffffffd c000000000000000 0000000002000000 0000000002d7bb18 
GPR28: 0000000005510000 c000000002768500 c0000000015b8608 c000000000d83210 
[    0.000000] NIP [c000000000d17230] init_IRQ+0xc/0x50
[    0.000000] LR [c000000000d1404c] start_kernel+0x2ec/0x554
[    0.000000] Call Trace:
[    0.000000] [c00000000153bf00] [c000000000d14044] start_kernel+0x2e4/0x554 (unreliable)
[    0.000000] [c00000000153bf90] [c000000000009bfc] start_here_common+0x20/0x4a4
[    0.000000] Instruction dump:
[    0.000000] 39200000 4b4e9605 60000000 38210030 e8010010 ebc1fff0 ebe1fff8 7c0803a6 
[    0.000000] 4e800020 3c4c0082 384248f4 60000000 <e9228158> e9290100 2fa90000 419e0034 
[    0.000000] ---[ end trace f3ac502fe4422ad7 ]---
[    0.000000] 
[    0.000000] Kernel panic - not syncing: Attempted to kill the idle task!
[    0.000000] ---[ end Kernel panic - not syncing: Attempted to kill the idle task!
[    0.000000] Unable to handle kernel paging request for data at address 0x00000000
[    0.000000] Faulting instruction address: 0xc000000000179888
[    0.000000] Oops: Kernel access of bad area, sig: 11 [#2]
[    0.000000] SMP NR_CPUS=1024 NUMA pSeries
[    0.000000] Modules linked in:
[    0.000000] CPU: 0 PID: 0 Comm: swapper/0 Tainted: G      D       3.16.0-0.rc0.git7.1.fc21.ppc64le #1
[    0.000000] task: c0000000014ddcb0 ti: c000000001538000 task.ti: c000000001538000
[    0.000000] NIP: c000000000179888 LR: c000000000179858 CTR: c0000000005d3510
[    0.000000] REGS: c00000000153b330 TRAP: 0300   Tainted: G      D        (3.16.0-0.rc0.git7.1.fc21.ppc64le)
[    0.000000] MSR: 8000000000009033 <SF,EE,ME,IR,DR,RI,LE>  CR: 28002024  XER: 20000000
[    0.000000] CFAR: c00000000008c798 DAR: 0000000000000000 DSISR: 40000000 SOFTE: 0 
GPR00: c00000000017c6c8 c00000000153b5b0 c00000000153bb18 0000000000000000 
GPR04: 0000000000000200 0000000000000000 00000000047e0000 c00000000242bb18 
GPR08: 0000000000000000 0000000000000000 0000000000000000 0000000000000001 
GPR12: 8000000000009033 c00000000ff20000 0000000002c85768 000000000dd12ab0 
GPR16: 0000000002000000 0000000002c982a0 000000000dd12a70 0000000000000060 
GPR20: c000000001538000 000000000dd12a70 000000002fff0000 0000000000000038 
GPR24: fffffffffffffffd 0000000000000000 c0000000015b8280 c0000000016cfee8 
GPR28: c0000000016cfec0 0000000000000000 0000000000000000 c000000001538000 
[    0.000000] NIP [c000000000179888] tick_check_oneshot_broadcast_this_cpu+0x48/0xe0
[    0.000000] LR [c000000000179858] tick_check_oneshot_broadcast_this_cpu+0x18/0xe0
[    0.000000] Call Trace:
[    0.000000] [c00000000153b5b0] [c00000000153b600] init_thread_union+0x3600/0x3b18 (unreliable)
[    0.000000] [c00000000153b5d0] [c00000000017c6c8] tick_irq_enter+0x28/0x150
[    0.000000] [c00000000153b600] [c0000000000bd334] irq_enter+0xa4/0xb0
[    0.000000] [c00000000153b630] [c00000000002085c] timer_interrupt+0xac/0x120
[    0.000000] [c00000000153b660] [c0000000000023f8] decrementer_common+0x178/0x180
[    0.000000] --- Exception: 901 at arch_local_irq_restore.part.7+0x84/0xb0
[    0.000000]     LR = arch_local_irq_restore.part.7+0x84/0xb0
[    0.000000] [c00000000153b950] [c00000000051055c] bust_spinlocks+0x6c/0x80 (unreliable)
[    0.000000] [c00000000153b970] [c0000000009ff008] panic+0x264/0x2bc
[    0.000000] [c00000000153ba00] [c0000000000b9330] do_exit+0xcc0/0xe80
[    0.000000] [c00000000153bb00] [c00000000002176c] die+0x2fc/0x450
[    0.000000] [c00000000153bba0] [c00000000004f248] bad_page_fault+0xe8/0x140
[    0.000000] [c00000000153bc10] [c000000000009584] handle_page_fault+0x2c/0x30
[    0.000000] --- Exception: 300 at init_IRQ+0xc/0x50
[    0.000000]     LR = start_kernel+0x2ec/0x554
[    0.000000] [c00000000153bf00] [c000000000d14044] start_kernel+0x2e4/0x554 (unreliable)
[    0.000000] [c00000000153bf90] [c000000000009bfc] start_here_common+0x20/0x4a4
[    0.000000] Instruction dump:
[    0.000000] 60000000 3ce20004 3947426c a12d0008 814a0000 7f8a4840 409d0080 3ce200ef 
[    0.000000] 792ad182 e90744b0 794a1f24 552906be <7d48502a> 7d494c36 792807e1 41820020 
[    0.000000] ---[ end trace f3ac502fe4422ad8 ]---
[    0.000000]

--- Additional comment from Dan Horák on 2014-08-04 09:40:27 EDT ---

Can you retry with kernel-3.16.0-1.fc21 from
 http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1975869 ?

--- Additional comment from Mark Hamzy on 2014-08-04 13:39:42 EDT ---

The same failure.

--- Additional comment from Dan Horák on 2014-08-15 06:42:15 EDT ---

Should be caused by a missing patch in our binutils
https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=57fa7b8c7e59e35bced580f9bcb9668af43fdbce

kernel at http://fedora.danny.cz/ppc/kernel/ is rebuilt with the fixed binutils and works fine for me.

Comment 1 Dan Horák 2014-08-15 10:47:14 UTC
AFAICT RHEL binutils are also affected.

Comment 15 errata-xmlrpc 2015-03-05 07:14:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0331.html


Note You need to log in before you can comment on or make changes to this bug.